Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQSqlRecordInfo Class Reference
[sql module]

The TQSqlRecordInfo class encapsulates a set of database field meta data. More...

`#include <ntqsqlrecord.h>`

List of all member functions.

## Public Members

- TQSqlRecordInfo ()
- TQSqlRecordInfo ( const TQSqlFieldInfoList & other )
- TQSqlRecordInfo ( const TQSqlRecord & other )
- size_type contains ( const TQString & fieldName ) const
- TQSqlFieldInfo find ( const TQString & fieldName ) const
- TQSqlRecord toRecord () const

## Detailed Description

The TQSqlRecordInfo class encapsulates a set of database field meta data.

This class is a TQValueList that holds a set of database field meta data. Use contains() to see if a given field name exists in the record, and use find() to get a TQSqlFieldInfo record for a named field.

See also TQValueList, TQSqlFieldInfo, and Database Classes.

## Member Function Documentation

### TQSqlRecordInfo::TQSqlRecordInfo ()

Constructs an empty record info object

### TQSqlRecordInfo::TQSqlRecordInfo ( const TQSqlFieldInfoList & other )

Constructs a copy of other.

### TQSqlRecordInfo::TQSqlRecordInfo ( const TQSqlRecord & other )

Constructs a TQSqlRecordInfo object based on the fields in the TQSqlRecord other.

### size_type TQSqlRecordInfo::contains ( const TQString & fieldName ) const

Returns the number of times a field called fieldName occurs in the record. Returns 0 if no field by that name could be found.

### TQSqlFieldInfo TQSqlRecordInfo::find ( const TQString & fieldName ) const

Returns a TQSqlFieldInfo object for the first field in the record which has the field name fieldName. If no matching field is found then an empty TQSqlFieldInfo object is returned.

### TQSqlRecord TQSqlRecordInfo::toRecord () const

Returns an empty TQSqlRecord based on the field information in this TQSqlRecordInfo.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.